/*
 *  hwinfo.h
 *
 *  Created by Marco Bambini on 8/29/08.
 *  Copyright 2005-2008 REALSoftware, Inc. All rights reserved.
 *
 */

#include "rsql_plugin.h"

#ifdef RSQL_MAC
#include <sys/types.h>
#include <sys/sysctl.h>
#endif

#ifdef RSQL_WINDOWS
#endif

#ifdef RSQL_LINUX
#include <sys/types.h>
#include <sys/sysctl.h>

// don't know why but some Linux distros doesn't define some common sysctl identifiers
#ifndef CTL_HW
#define CTL_HW 6
#endif

#ifndef HW_MACHINE
#define HW_MACHINE 1
#endif

#ifndef HW_MODEL
#define HW_MODEL 2
#endif

#endif

int show_hardware_info (rsql_client *client, const char **args, int commandID);
