#!/bin/sh

# stop running process
killall -TERM realserver 2&>/dev/null

# remove core folder
INSTALL_DIR=/opt/realsoftware/realserver
rm -fR $INSTALL_DIR

# uncomment this line if you want to remove settings file
#rm -f /etc/opt/realserver.settings

# uncomment this line if you want to remove default database diretory
#rm -fR /var/opt/realserver

# remove startup script
# some distributions doesn't have the rc.d subdirectory
STARTUP_DIR=/etc/rc.d
if ! [ -d  $STARTUP_DIR ]; then
STARTUP_DIR=/etc
fi

rm -f "$STARTUP_DIR/init.d/realserver"
rm -f "$STARTUP_DIR/rc3.d/S86realserver"
rm -f "$STARTUP_DIR/rc5.d/S86realserver"
rm -f "$STARTUP_DIR/rc0.d/K86realserver"
rm -f "$STARTUP_DIR/rc6.d/K86realserver"
