#!/bin/sh

# stop running process
killall -TERM realsqlserver 2&>/dev/null

# remove core directory
INSTALL_DIR=/opt/realsoftware/realsqlserver
rm -fR $INSTALL_DIR

# remove startup script
# some distributions doesn't have the rc.d subdirectory
STARTUP_DIR=/etc/rc.d
if ! [ -d  $STARTUP_DIR ]; then
STARTUP_DIR=/etc
fi

rm -f "$STARTUP_DIR/init.d/realsqlserver"
rm -f "$STARTUP_DIR/rc3.d/S86realsqlserver"
rm -f "$STARTUP_DIR/rc5.d/S86realsqlserver"
rm -f "$STARTUP_DIR/rc0.d/K86realsqlserver"
rm -f "$STARTUP_DIR/rc6.d/K86realsqlserver"
